org.eclipse.eef.ide.ui.api.widgets

## Class EEFHyperlinkListener

- java.lang.Object
- - org.eclipse.eef.ide.ui.api.widgets.EEFHyperlinkListener

All Implemented Interfaces:
  java.util.EventListener, org.eclipse.swt.events.MouseListener, org.eclipse.swt.internal.SWTEventListener

    public class EEFHyperlinkListener
    extends java.lang.Object
    implements org.eclipse.swt.events.MouseListener

The listener of the hyperlink widget.

### Constructor Summary

Constructors
Constructor and Description
`EEFHyperlinkListener(AbstractEEFWidgetLifecycleManager lifecycleManager, org.eclipse.swt.widgets.Control hyperlink, IEEFFormContainer container, IEEFOnClickController controller)` The constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `mouseDoubleClick(org.eclipse.swt.events.MouseEvent e)`
`void` `mouseDown(org.eclipse.swt.events.MouseEvent e)`
`void` `mouseUp(org.eclipse.swt.events.MouseEvent e)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EEFHyperlinkListener

    public EEFHyperlinkListener(AbstractEEFWidgetLifecycleManager lifecycleManager,
                                org.eclipse.swt.widgets.Control hyperlink,
                                IEEFFormContainer container,
                                IEEFOnClickController controller)

The constructor.

Parameters:
  `lifecycleManager` - The life cycle manager
  `hyperlink` - The hyperlink
  `container` - The Form container
  `controller` - The controller

### Method Detail

#### mouseDoubleClick

    public void mouseDoubleClick(org.eclipse.swt.events.MouseEvent e)

Specified by:
  `mouseDoubleClick` in interface `org.eclipse.swt.events.MouseListener`
See Also:
  `MouseListener.mouseDoubleClick(org.eclipse.swt.events.MouseEvent)`

#### mouseDown

    public void mouseDown(org.eclipse.swt.events.MouseEvent e)

Specified by:
  `mouseDown` in interface `org.eclipse.swt.events.MouseListener`
See Also:
  `MouseListener.mouseDown(org.eclipse.swt.events.MouseEvent)`

#### mouseUp

    public void mouseUp(org.eclipse.swt.events.MouseEvent e)

Specified by:
  `mouseUp` in interface `org.eclipse.swt.events.MouseListener`
See Also:
  `MouseListener.mouseUp(org.eclipse.swt.events.MouseEvent)`